Delete event properties
curl --request POST \
--url https://api.livechatinc.com/v3.6/customer/action/delete_event_properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chat_id": "Q1GZ3FNAT9",
"thread_id": "Q1GZ3FNAU9",
"event_id": "Q1GZ3FNAU9_1",
"properties": {
"0805e283233042b37f460ed8fbf22160": [
"string_property"
]
}
}
'import requests
url = "https://api.livechatinc.com/v3.6/customer/action/delete_event_properties"
payload = {
"chat_id": "Q1GZ3FNAT9",
"thread_id": "Q1GZ3FNAU9",
"event_id": "Q1GZ3FNAU9_1",
"properties": { "0805e283233042b37f460ed8fbf22160": ["string_property"] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chat_id: 'Q1GZ3FNAT9',
thread_id: 'Q1GZ3FNAU9',
event_id: 'Q1GZ3FNAU9_1',
properties: {'0805e283233042b37f460ed8fbf22160': ['string_property']}
})
};
fetch('https://api.livechatinc.com/v3.6/customer/action/delete_event_properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Properties
Delete event properties
POST
/
action
/
delete_event_properties
Delete event properties
Authorizations
Customer access token obtained from the customer authorization flow.
Query Parameters
Unique identifier of the organization.
Body
application/json
The ID of the chat you want to delete the properties of.
The ID of the thread you want to delete the properties of.
The ID of the event you want to delete the properties of.
The event properties to delete.
Response
200
Properties deleted.
Was this page helpful?